Package org.apache.commons.compress.compressors.bzip2

# Class BZip2Utils

java.lang.Object
org.apache.commons.compress.compressors.bzip2.BZip2Utils

public abstract class BZip2Utils extends Object
Utility code for the BZip2 compression format.

Since:
  1.1
This class is thread-safe

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getCompressedFilename(String fileName)`
  Deprecated.
  Use `getCompressedFileName(String)`.
  `static String`
  `getCompressedFileName(String fileName)`
  Maps the given file name to the name that the file should have after compression with bzip2.
  `static String`
  `getUncompressedFilename(String fileName)`
  Deprecated.
  Use `getUncompressedFileName(String)`.
  `static String`
  `getUncompressedFileName(String fileName)`
  Maps the given name of a bzip2-compressed file to the name that the file should have after uncompression.
  `static boolean`
  `isCompressedFilename(String fileName)`
  Deprecated.
  Use `isCompressedFileName(String)`.
  `static boolean`
  `isCompressedFileName(String fileName)`
  Detects common bzip2 suffixes in the given file name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getCompressedFilename

    @Deprecated public static String getCompressedFilename(String fileName)
    Deprecated.
    Use `getCompressedFileName(String)`.
    Maps the given file name to the name that the file should have after compression with bzip2. Currently this method simply appends the suffix ".bz2" to the file name based on the standard behavior of the "bzip2" program, but a future version may implement a more complex mapping if a new widely used naming pattern emerges.
    Parameters:
      `fileName` - name of a file
    Returns:
      name of the corresponding compressed file

  - ### getCompressedFileName

    public static String getCompressedFileName(String fileName)
    Maps the given file name to the name that the file should have after compression with bzip2. Currently this method simply appends the suffix ".bz2" to the file name based on the standard behavior of the "bzip2" program, but a future version may implement a more complex mapping if a new widely used naming pattern emerges.
    Parameters:
      `fileName` - name of a file
    Returns:
      name of the corresponding compressed file
    Since:
      1.25.0

  - ### getUncompressedFilename

    @Deprecated public static String getUncompressedFilename(String fileName)
    Deprecated.
    Use `getUncompressedFileName(String)`.
    Maps the given name of a bzip2-compressed file to the name that the file should have after uncompression. Commonly used file type specific suffixes like ".tbz" or ".tbz2" are automatically detected and correctly mapped. For example the name "package.tbz2" is mapped to "package.tar". And any file names with the generic ".bz2" suffix (or any other generic bzip2 suffix) is mapped to a name without that suffix. If no bzip2 suffix is detected, then the file name is returned unmapped.
    Parameters:
      `fileName` - name of a file
    Returns:
      name of the corresponding uncompressed file

  - ### getUncompressedFileName

    public static String getUncompressedFileName(String fileName)
    Maps the given name of a bzip2-compressed file to the name that the file should have after uncompression. Commonly used file type specific suffixes like ".tbz" or ".tbz2" are automatically detected and correctly mapped. For example the name "package.tbz2" is mapped to "package.tar". And any file names with the generic ".bz2" suffix (or any other generic bzip2 suffix) is mapped to a name without that suffix. If no bzip2 suffix is detected, then the file name is returned unmapped.
    Parameters:
      `fileName` - name of a file
    Returns:
      name of the corresponding uncompressed file
    Since:
      1.25.0

  - ### isCompressedFilename

    @Deprecated public static boolean isCompressedFilename(String fileName)
    Deprecated.
    Use `isCompressedFileName(String)`.
    Detects common bzip2 suffixes in the given file name.
    Parameters:
      `fileName` - name of a file
    Returns:
      `true` if the file name has a common bzip2 suffix, `false` otherwise

  - ### isCompressedFileName

    public static boolean isCompressedFileName(String fileName)
    Detects common bzip2 suffixes in the given file name.
    Parameters:
      `fileName` - name of a file
    Returns:
      `true` if the file name has a common bzip2 suffix, `false` otherwise
    Since:
      1.25.0